For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETGet an organization's prepaid balance
        • POSTUpdate an organization's prepaid balance
        • DELReset an organization's prepaid balance
        • GETList balance transactions
        • GETList available transaction types
        • GETList billing periods
        • GETList billing details
        • GETList billing config
        • PATCHUpdate billing config
        • GETList an organization's custom rates
        • POSTCreate a new custom rate for an organization
        • DELDelete an organization's custom rate
        • POSTAssign an inclusive volume to an organization
        • DELDelete an organization's inclusive volume
LogoLogo
Request featuresContact support
API ReferenceBilling

List an organization's custom rates

GET
https://cdn.emnify.net/api/v1/organisation/:org_id/custom_rate
GET
/api/v1/organisation/:org_id/custom_rate
$curl https://cdn.emnify.net/api/v1/organisation/1.1/custom_rate \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "rate": 1,
4 "volume": 1,
5 "service_id": 38,
6 "id": 2168,
7 "start_date": "2020-03-01T00:00:00.000Z",
8 "ratezone": {
9 "tariff_id": 1,
10 "name": "Zone 1",
11 "valid_from": "2015-01-01T00:00:00.000Z",
12 "deleted": "1970-01-01T00:00:00.000Z",
13 "main_zone": "0",
14 "id": 1,
15 "tariff": {
16 "tariff_id": "1",
17 "organisation_id": "2",
18 "name": "Tariff 1",
19 "description": "Tariff only for internal testing.",
20 "created": "2014-10-20T00:00:00.000Z",
21 "tariff_status_id": "1",
22 "currency_id": "2",
23 "default_sms_mt_rate": "0.060000",
24 "default_sms_mo_rate": "0.060000",
25 "sim_issued_rate": "0.000000",
26 "sim_activated_rate": "1.000000",
27 "sim_suspended_rate": "0.000000",
28 "sim_activation_rate": "0.000000",
29 "sim_reactivation_rate": "0.500000",
30 "sim_suspension_rate": "0.500000",
31 "sim_termination_rate": "0.000000",
32 "data_throttle_id": "6",
33 "data_blocksize_id": "10",
34 "public": "1",
35 "used_count": "1",
36 "assigned_count": "3"
37 },
38 "ratezone_status_id": "1"
39 },
40 "organisation_id": "3",
41 "currency": {
42 "code": "EUR",
43 "symbol": "€",
44 "id": 1
45 }
46 },
47 {
48 "rate": 1.2,
49 "volume": 1.3,
50 "service_id": 38,
51 "id": 2169,
52 "ratezone": {
53 "tariff_id": 1,
54 "name": "Zone 1",
55 "valid_from": "2015-01-01T00:00:00.000Z",
56 "deleted": "1970-01-01T00:00:00.000Z",
57 "main_zone": "0",
58 "id": 1,
59 "tariff": {
60 "tariff_id": "1",
61 "organisation_id": "2",
62 "name": "Tariff 1",
63 "description": "Tariff only for internal testing.",
64 "created": "2014-10-20T00:00:00.000Z",
65 "tariff_status_id": "1",
66 "currency_id": "2",
67 "default_sms_mt_rate": "0.060000",
68 "default_sms_mo_rate": "0.060000",
69 "sim_issued_rate": "0.000000",
70 "sim_activated_rate": "1.000000",
71 "sim_suspended_rate": "0.000000",
72 "sim_activation_rate": "0.000000",
73 "sim_reactivation_rate": "0.500000",
74 "sim_suspension_rate": "0.500000",
75 "sim_termination_rate": "0.000000",
76 "data_throttle_id": "6",
77 "data_blocksize_id": "10",
78 "public": "1",
79 "used_count": "1",
80 "assigned_count": "3"
81 },
82 "ratezone_status_id": "1"
83 },
84 "organisation_id": "3",
85 "currency": {
86 "code": "EUR",
87 "symbol": "€",
88 "id": 1
89 }
90 }
91]

Returns an empty array, if the org does not exist or if it’s not a child org of the logged-in org

Was this page helpful?
Previous

Update billing config

Next

Create a new custom rate for an organization

Built with

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

org_iddoubleRequired
Numerical ID of an organization

Response

OK
organisatioon_idinteger
ratedouble
volumedouble
service_idinteger
idinteger
start_datestringformat: "^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\{2}$"

Local date in format YYYY-MM-DD HH:mm:ss with a time. Usually interpreted in UTC Timezone, but generally unbound.

end_datestringformat: "^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\{2}$"

Local date in format YYYY-MM-DD HH:mm:ss with a time. Usually interpreted in UTC Timezone, but generally unbound.

ratezoneobject

Errors

403
Forbidden Error